# GLSL Basics

This repository is a collection of basic OpenGL shaders with `GLFW`.

## Requirements

Caution: Dependency Hell

Install `GLFW` (system package):

```bash
dnf install glfw-devel
```

Add a `glad` specific to your system to the `include` directory. You can
obtain one [here](https://glad.dav1d.de/), or use the python script like this,
after installing `glad` from your package manager:

```bash
python -m glad --profile core --out-path . --generator c --api gl=3.3 --spec gl
```

Because I don't understand building cpp code, I recommend copying these files
to `/usr/local/include`
