#include <glad/glad.h> // must come before GLFW

#include <GLFW/glfw3.h>

#include <iostream>
#include <stdio.h>
#include <thread>
#include <chrono>
#include <thread>


int main() {
  printf("running the main function...\n");
  printf("glfw init\n");
  glfwInit();
  glfwWindowHint(GLFW_CONTEXT_VERSION_MAJOR, 3);
  glfwWindowHint(GLFW_CONTEXT_VERSION_MINOR, 3);
  glfwWindowHint(GLFW_OPENGL_PROFILE, GLFW_OPENGL_CORE_PROFILE);

  printf("opening window\n");
  GLFWwindow *window = glfwCreateWindow(800, 600, "LearnOpenGL", NULL, NULL);
  if (window == NULL) {
    std::cout << "Failed to create GLFW window" << std::endl;
    glfwTerminate();
    return -1;
  }
  glfwMakeContextCurrent(window);

  std::this_thread::sleep_for(std::chrono::milliseconds(2000));

  printf("closed window\n");

  printf("program finished\n");
  return 0;
}
